=== debian/changelog ===
liblc3 (1.0.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Dec 2022 16:38:42 -0800

liblc3 (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1021532)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Oct 2022 22:59:57 +0200
