=== debian/control ===
Source: liblc3
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13), meson
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/liblc3
Vcs-Git: https://salsa.debian.org/multimedia-team/liblc3.git
Homepage: https://github.com/google/liblc3

Package: liblc3-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Low Complexity Communication Codec (shared library)
 LC3 is an efficient low latency audio codec.
 .
 This package provides the shared library.

Package: liblc3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblc3-0 (= ${binary:Version}), ${misc:Depends}
Description: Low Complexity Communication Codec (development files)
 LC3 is an efficient low latency audio codec.
 .
 This package provides the development files for liblc3.

Package: liblc3-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Low Complexity Communication Codec
 LC3 is an efficient low latency audio codec.
 .
 This package provides encoder and decoder tools.
