=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dtools=true

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
