=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/liblc3-$1\.tar\.gz/ \
  https://github.com/google/liblc3/tags .*/v?(\d\S+)\.tar\.gz
