## liblc3 1.0.3

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 LD := $(if $(LD)=ld,$(CC),$(LD))
 
 CFLAGS := $(if $(DEBUG),-O0 -g,-O3)
-CFLAGS += -std=c11 -Wall -Wextra -Wdouble-promotion
+CFLAGS += -std=c11 -Wall -Wextra -Wdouble-promotion -Wvla -pedantic
 
 
 #
