=== debian/control ===
Source: liblc3
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               libpython3-dev [amd64 arm64 armhf] <!nocheck>,
               python3-numpy [amd64 arm64 armhf] <!nocheck>,
               python3-scipy [amd64 arm64 armhf] <!nocheck>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/liblc3
Vcs-Git: https://salsa.debian.org/multimedia-team/liblc3.git
Homepage: https://github.com/google/liblc3

Package: liblc3-1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Low Complexity Communication Codec (shared library)
 LC3 is an efficient low latency audio codec.
 .
 This package provides the shared library.

Package: liblc3-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblc3-1 (= ${binary:Version}),
         ${misc:Depends}
Description: Low Complexity Communication Codec (development files)
 LC3 is an efficient low latency audio codec.
 .
 This package provides the development files for liblc3.

Package: liblc3-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Low Complexity Communication Codec
 LC3 is an efficient low latency audio codec.
 .
 This package provides encoder and decoder tools.
