=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	dh_auto_configure -- \
 		-Dtools=true
 
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
+	V= make test CFLAGS:="$(CPPFLAGS) $(CFLAGS)"
+endif
