## liblc3 1.0.4

=== debian/changelog ===
liblc3 (1.0.4-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:51:51 +0000

liblc3 (1.0.4-3) unstable; urgency=medium

  * Cherry-pick upstream patch adding numpy include path (Closes: #1067323)
  * Refresh debian/copyright
  * Add debian/upstream/metadata

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Mar 2024 22:22:25 +0100

liblc3 (1.0.4-2) unstable; urgency=medium

  * Empty the V variable for the "make clean" target (Closes: #1056142)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 23 Nov 2023 12:07:17 +0100

liblc3 (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Delete more files with dh_clean and dh_auto_clean (Closes: #1047907)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Sep 2023 16:29:36 +0200
