=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
 	V= make test CFLAGS:="$(CPPFLAGS) $(CFLAGS)"
 endif
+
+execute_after_dh_auto_clean:
+	V= make clean
