## liblc3 1.1.1+dfsg

=== debian/changelog ===
liblc3 (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.1+dfsg
  * Update symbols file
  * Add patch fixing issue with rpath
  * Exclude conformance HTML reports
  * Fix LDFLAGS injection during dh_auto_test

 -- Dylan Aïssi <daissi@debian.org>  Mon, 20 May 2024 20:50:29 +0200
