=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf))
-	V= make test CFLAGS:="$(CPPFLAGS) $(CFLAGS)"
+	V= make test CFLAGS:="$(CPPFLAGS) $(CFLAGS)" LDFLAGS:="$(LDFLAGS)"
 endif
 
 execute_after_dh_auto_clean:
