## liblc3 1.1.2+dfsg

=== debian/changelog ===
liblc3 (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.2+dfsg
  * Ensure the build profil nocheck is respected
  * Add salsa-ci-yml
  * Update debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Feb 2025 18:24:43 +0100
