=== debian/changelog ===
liblc3 (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.3+dfsg

 -- Dylan Aïssi <daissi@debian.org>  Tue, 18 Feb 2025 15:42:12 +0100
