=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: liblc3
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                meson,
                libpython3-dev [amd64 arm64 armhf] <!nocheck>,
                python3-numpy [amd64 arm64 armhf] <!nocheck>,
                python3-scipy [amd64 arm64 armhf] <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/liblc3
 Vcs-Git: https://salsa.debian.org/multimedia-team/liblc3.git
